Closed Bug 551536 Opened 10 years ago Closed 8 years ago

browser_allTabsPanel.js sporadically times out, sometimes followed by extreme havoc

Categories

(Firefox :: Tabbed Browser, defect)

x86
All
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: dholbert, Unassigned)

References

()

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268248281.1268250345.31830.gz
Linux mozilla-central debug test mochitest-other on 2010/03/10 11:11:21
s: moz2-linux-slave28

Error is:
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out

More context:
{
TEST-INFO | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | undoCloseTab
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
pldhash: for the table at address 0xafc0c80, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 0xafc0c18 == 15
++DOMWINDOW == 27 (0xa41b220) [serial = 65] [outer = (nil)]
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
++DOMWINDOW == 28 (0xaee11f0) [serial = 66] [outer = 0xa41b1f0]
TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | ACID, closeTab 1, openPanel, closePanel, moveTab 0->2, openPanel, startSearch E, closePanel, closeTab 0, closeTab 0, openPanel, startSearch D, closePanel, undoCloseTab
TEST-INFO | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | moveTab
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | ACID, closeTab 1, openPanel, closePanel, moveTab 0->2, openPanel, startSearch E, closePanel, closeTab 0, closeTab 0, openPanel, startSearch D, closePanel, undoCloseTab, moveTab 1->0
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
pldhash: for the table at address 0xb0205c0, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 0xb020558 == 16
++DOMWINDOW == 29 (0xb00cd78) [serial = 67] [outer = (nil)]
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
++DOMWINDOW == 30 (0xa940fc8) [serial = 68] [outer = 0xb00cd48]
WARNING: NS_ENSURE_TRUE(aURI) failed: file /builds/moz2_slave/mozilla-central-linux-debug/build/docshell/base/nsDefaultURIFixup.cpp, line 76
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file /builds/moz2_slave/mozilla-central-linux-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5494
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out
TEST-INFO | checking window state
Running chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js...
}
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268414623.1268420030.31718.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/03/12 09:23:43
s: win32-slave14
OS: Linux → All
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 545583
Status: RESOLVED → REOPENED
Resolution: DUPLICATE → ---
I think this is an instance of this randomorange:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1279332184.1279338779.3818.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/07/16 19:03:04

However, now it's a lot more vicious -- it seems to trigger many more timeouts and failures after the initial browser_allTabsPanel.js timeout -- in particular, it's followed by seemingly endless spamming of this failure:
> TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug304198.js | Found a tab after previous test timed out: about:blank
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1279794461.1279801896.26055.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/07/22 03:27:41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280259690.1280266694.1475.gz&fulltext=1
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/07/27 12:41:30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281012864.1281019231.18432.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/08/05 05:54:24
s: talos-r3-leopard-005
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281156115.1281161749.7592.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2010/08/06 21:41:55
s: talos-r3-fed-026

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,A
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,C
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,B
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,H
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,A
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,A
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,B
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,G
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,G
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,C
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,I
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,F
Status: REOPENED → NEW
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281236375.1281238196.29244.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/08/07 19:59:35

s: talos-r3-leopard-031
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281497893.1281499458.1719.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/08/10 20:38:13

s: talos-r3-leopard-007
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,F
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,A
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the front notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onLocationChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the front notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onSecurityChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug304198.js | application timed out after 330 seconds with no output
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Summary: browser_allTabsPanel.js sporadically times out → browser_allTabsPanel.js sporadically times out, sometimes followed by extreme havoc
Status: NEW → RESOLVED
Closed: 10 years ago8 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.